Bug 72678 - RFE: Tool doesn't remember current settings
RFE: Tool doesn't remember current settings
Status: CLOSED DUPLICATE of bug 25510
Product: Red Hat Linux
Classification: Retired
Component: gnome-lokkit (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: FutureFeature
: 73057 73286 75350 75926 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-26 12:03 EDT by Steve Fox
Modified: 2014-03-16 22:30 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-15 09:18:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steve Fox 2002-08-26 12:03:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
The tool does not remember any of your current settings, always defaulting to
high security with default firewall rules.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Set your firewall rules. Close the application
2. Restart the application

	

Expected Results:  Tool should detect my previous settings and let me further
change my rules.

Additional info:
Comment 1 Gene Czarcinski 2002-08-27 14:24:05 EDT
This should really be changed to be a Request for Enhancement (RFE) for the
software to read the existing/current configuration and use that as a starting
point for configuration.
Comment 2 Steve Fox 2002-08-27 14:50:27 EDT
Good point. I have done this now.
Comment 3 Brent Fox 2002-08-27 16:03:34 EDT
redhat-config-securitylevel calls lokkit to set the firewall level.  What's
needed is a way for lokkit to have a way of telling what level it setup last. 
So, if I could call something like "lokkit --level", it could return something
like "High" or "Off".  Then redhat-config-securitylevel would have a way of
knowing what the current firewall setting looks like.

I'm changing the component to lokkit, but please transfer this bug back to
redhat-config-securitylevel if/when lokkit has this ability.
Comment 4 Brent Fox 2002-08-27 16:05:45 EDT
Hmm, lokkit isn't a component but gnome-lokkit is.
Comment 5 Muralidhar Ganga 2002-08-27 16:31:20 EDT
Same problem with setup, Firewall Configuration....

root # setup
select Firewall Configuration
change the firewall settings

Does not reflect to the actual settings.
Comment 6 Brent Fox 2002-08-30 17:35:01 EDT
*** Bug 73057 has been marked as a duplicate of this bug. ***
Comment 7 Brent Fox 2002-09-03 18:05:06 EDT
*** Bug 73286 has been marked as a duplicate of this bug. ***
Comment 8 Mattias Dahlberg 2002-10-04 14:27:08 EDT
Are you sure gnome-lokkit will ever get that ability? I ask because there's a 
big difference between a wizard style GUI (gnome-lokkit) and the type of GUI 
redhat-config-securitylevel has. When using a configuration wizard you don't 
expect your old settings being presented, but when using an "ordinary" GUI you 
do. When I fired up redhat-config-securirylevel for the first time it was to 
view the current firewall settings. I wouldn't even consider to use gnome-
lokkit for the same purpose, of course.
Comment 9 Brent Fox 2002-10-14 12:11:44 EDT
voz, I'm requesting that the functionality be added to lokkit, not specifically
the gnome-lokkit frontend.  However, the bug is filed against gnome-lokkit since
the lokkit backend comes from the same source RPM as gnome-lokkit.  Bugzilla's
component list comes from the source RPMs, not the binary RPM packages.
Comment 10 Brent Fox 2002-10-14 12:12:19 EDT
*** Bug 75350 has been marked as a duplicate of this bug. ***
Comment 11 Brent Fox 2002-10-15 09:18:45 EDT
*** Bug 75926 has been marked as a duplicate of this bug. ***
Comment 12 Bill Nottingham 2002-10-24 18:53:38 EDT

*** This bug has been marked as a duplicate of 25510 ***
Comment 13 Tom Wood 2002-10-29 12:20:31 EST
Isn't marking this as a duplicate to 25510 risky, in that before 8.0 lokkit
deals with ipchains, not iptables?  Are you sure this will cover both?

Note You need to log in before you can comment on or make changes to this bug.